Retrieve a Tracker
curl --request GET \
--url https://api.example.com/v1/trackers/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v1/trackers/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v1/trackers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v1/trackers/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/trackers/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/v1/trackers/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v1/trackers/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "trk_1Q2w3E4r",
"object": "tracker",
"livemode": true,
"created": 123,
"tracking_number": "<string>",
"carrier": "<string>",
"status": "pre_transit",
"updated": 123,
"connection": "<string>",
"shipment": "<string>",
"status_detail": "<string>",
"status_updated_at": 123,
"delivered_at": 123,
"estimated_delivery": {
"date": "2023-12-25",
"window": {
"start": "<string>",
"end": "<string>"
},
"source": "carrier"
},
"origin": {
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"country": "<string>",
"facility": "<string>",
"latitude": 123,
"longitude": 123
},
"destination": {
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"country": "<string>",
"facility": "<string>",
"latitude": 123,
"longitude": 123
},
"signed_by": "<string>",
"proof_of_delivery": {
"signed_by": "<string>",
"signature_file": "<string>",
"photo_files": [
"<string>"
],
"location": {
"latitude": 123,
"longitude": 123
},
"delivered_to": "<string>"
},
"attempts": 123,
"events": [
{
"id": "<string>",
"object": "tracking_event",
"occurred_at": "2023-11-07T05:31:56Z",
"status": "pre_transit",
"received_at": 123,
"status_detail": "<string>",
"description": "<string>",
"carrier_code": "<string>",
"carrier_status": "<string>",
"location": {
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"country": "<string>",
"facility": "<string>",
"latitude": 123,
"longitude": 123
},
"source": "carrier_poll",
"carrier_metadata": {}
}
],
"tracking_url": "<string>",
"public_url": "<string>",
"refresh": {
"mode": "auto",
"next_at": 123,
"last_at": 123,
"stopped_reason": "terminal"
},
"messages": [
{
"level": "info",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"carrier": "<string>"
}
],
"user_metadata": {},
"carrier_metadata": {},
"system_metadata": {
"source": "api",
"created_by": {
"type": "api_key",
"id": "<string>"
},
"request_id": "<string>",
"idempotency_key": "<string>",
"batch": "<string>",
"generated": true,
"test_scenario": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"carrier": {
"id": "<string>",
"connection": "<string>",
"code": "<string>",
"message": "<string>"
},
"shipment": "<string>",
"details": [
{
"code": "<string>",
"message": "<string>",
"param": "<string>"
}
]
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"carrier": {
"id": "<string>",
"connection": "<string>",
"code": "<string>",
"message": "<string>"
},
"shipment": "<string>",
"details": [
{
"code": "<string>",
"message": "<string>",
"param": "<string>"
}
]
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"carrier": {
"id": "<string>",
"connection": "<string>",
"code": "<string>",
"message": "<string>"
},
"shipment": "<string>",
"details": [
{
"code": "<string>",
"message": "<string>",
"param": "<string>"
}
]
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"carrier": {
"id": "<string>",
"connection": "<string>",
"code": "<string>",
"message": "<string>"
},
"shipment": "<string>",
"details": [
{
"code": "<string>",
"message": "<string>",
"param": "<string>"
}
]
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"carrier": {
"id": "<string>",
"connection": "<string>",
"code": "<string>",
"message": "<string>"
},
"shipment": "<string>",
"details": [
{
"code": "<string>",
"message": "<string>",
"param": "<string>"
}
]
}
}Tracking
Retrieve a Tracker
GET
/
v1
/
trackers
/
{id}
Retrieve a Tracker
curl --request GET \
--url https://api.example.com/v1/trackers/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v1/trackers/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v1/trackers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v1/trackers/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/trackers/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/v1/trackers/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v1/trackers/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "trk_1Q2w3E4r",
"object": "tracker",
"livemode": true,
"created": 123,
"tracking_number": "<string>",
"carrier": "<string>",
"status": "pre_transit",
"updated": 123,
"connection": "<string>",
"shipment": "<string>",
"status_detail": "<string>",
"status_updated_at": 123,
"delivered_at": 123,
"estimated_delivery": {
"date": "2023-12-25",
"window": {
"start": "<string>",
"end": "<string>"
},
"source": "carrier"
},
"origin": {
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"country": "<string>",
"facility": "<string>",
"latitude": 123,
"longitude": 123
},
"destination": {
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"country": "<string>",
"facility": "<string>",
"latitude": 123,
"longitude": 123
},
"signed_by": "<string>",
"proof_of_delivery": {
"signed_by": "<string>",
"signature_file": "<string>",
"photo_files": [
"<string>"
],
"location": {
"latitude": 123,
"longitude": 123
},
"delivered_to": "<string>"
},
"attempts": 123,
"events": [
{
"id": "<string>",
"object": "tracking_event",
"occurred_at": "2023-11-07T05:31:56Z",
"status": "pre_transit",
"received_at": 123,
"status_detail": "<string>",
"description": "<string>",
"carrier_code": "<string>",
"carrier_status": "<string>",
"location": {
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"country": "<string>",
"facility": "<string>",
"latitude": 123,
"longitude": 123
},
"source": "carrier_poll",
"carrier_metadata": {}
}
],
"tracking_url": "<string>",
"public_url": "<string>",
"refresh": {
"mode": "auto",
"next_at": 123,
"last_at": 123,
"stopped_reason": "terminal"
},
"messages": [
{
"level": "info",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"carrier": "<string>"
}
],
"user_metadata": {},
"carrier_metadata": {},
"system_metadata": {
"source": "api",
"created_by": {
"type": "api_key",
"id": "<string>"
},
"request_id": "<string>",
"idempotency_key": "<string>",
"batch": "<string>",
"generated": true,
"test_scenario": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"carrier": {
"id": "<string>",
"connection": "<string>",
"code": "<string>",
"message": "<string>"
},
"shipment": "<string>",
"details": [
{
"code": "<string>",
"message": "<string>",
"param": "<string>"
}
]
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"carrier": {
"id": "<string>",
"connection": "<string>",
"code": "<string>",
"message": "<string>"
},
"shipment": "<string>",
"details": [
{
"code": "<string>",
"message": "<string>",
"param": "<string>"
}
]
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"carrier": {
"id": "<string>",
"connection": "<string>",
"code": "<string>",
"message": "<string>"
},
"shipment": "<string>",
"details": [
{
"code": "<string>",
"message": "<string>",
"param": "<string>"
}
]
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"carrier": {
"id": "<string>",
"connection": "<string>",
"code": "<string>",
"message": "<string>"
},
"shipment": "<string>",
"details": [
{
"code": "<string>",
"message": "<string>",
"param": "<string>"
}
]
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"carrier": {
"id": "<string>",
"connection": "<string>",
"code": "<string>",
"message": "<string>"
},
"shipment": "<string>",
"details": [
{
"code": "<string>",
"message": "<string>",
"param": "<string>"
}
]
}
}Authorizations
apiKeyoauth2
sk_test_ / sk_live_ / rk_test_ / rk_live_ keys
Headers
Act on behalf of a connected account (acct_...)
Path Parameters
Query Parameters
Response
OK
Prefixed trk_
Example:
"trk_1Q2w3E4r"
Available options:
tracker Unix timestamp (seconds)
Available options:
pre_transit, in_transit, out_for_delivery, available_for_pickup, delivered, exception, return_to_sender, returned, cancelled, unknown Unix timestamp (seconds)
ID (shp_...). Expandable to Shipment.
Unix timestamp (seconds)
Unix timestamp (seconds)
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Client-writable. Up to 50 string key/value pairs. Never sent to carriers.
Show child attributes
Show child attributes
Read-only. Carrier-returned data not modelled by the spec (routing codes, internal IDs). Untrusted and unversioned; keys may change with the carrier's API.
Read-only. Implementer provenance. Implementer-specific keys are prefixed x_.
Show child attributes
Show child attributes